<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.10 (2013/03/20)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_filemod.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc");	
include(CHEMIN."plugins/adm_redacteurs/inc/functionredac.inc");
require CHEMIN.'admin/editors/editors_functions.php';  // Modif editeur

include(CHEMIN."inc/hpage.inc");
if ($serviz[49] == "") {  $browser = "IE"; } // modif Albert, choix diteur

//Dclaration et protection des variables
$pseudo = isset($_GET['pseudo']) ? $_GET['pseudo'] : NULL; 
$pseudo = strip_tags($pseudo);
$qtype = isset($_GET['qtype']) ? $_GET['qtype'] : NULL; 
$qtype = strip_tags($qtype);
$id = isset($_GET['id']) ? $_GET['id'] : NULL; 
$id = strip_tags($id);

// On rcupre la config du rdacteur
include(REP_REDAC.$pseudo.DBEXT);

//On rcupre la config du Groupe Rdacteur si le rdacteur appartient  un Groupe Rdacteur
if(isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  file_exists(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
  include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

/// FORK AjouteMenu : INCLUDE
$mnu_include = false;
if (is_dir(CHEMIN."plugins/ajoutemenu") && $redacprefs['ajoutemenu'] == 'ajoutemenu') {
	include_once(CHEMIN."plugins/ajoutemenu/inc/data_func.inc");
	include_once(CHEMIN."plugins/ajoutemenu/lang/".$lng."-adm.inc");
	$mnu_include = true;
}
/// Fin FORK AjouteMenu : INCLUDE

ReadDoc(DBBASE.$id);
//  $fieldc1 = RemoveBR(RemoveHR($fieldc1));
//  $fieldc2 = RemoveBR(RemoveHR($fieldc2));
  
switch($qtype) {
  case "ar" :
     $qtype = TYP_ART;
     $bname = 0;
     $bemail = 0;
     $bcat = 1;
     $btitre = 1;
     $bcontenu = 1;
     if ($mnu_include || $serviz[3] == "on" || $serviz[22] == "on") {  
         $bnouveau = 1;
     }
     else {
         $bnouveau = 0;
     }
     $qformonly = 0;

     $qtitle = $admin39;
     $qintro = $admin222.$admin223;
     $qseeall = $admin29;
     $qwrite = $admin30;
     $qcat = $admin35;
     $qtitre = $admin36;
     $qcontenu = $admin37;
     $qnouveau = "";
     break;
  
  case "ne" :
      $qtype = TYP_NEWS;
      $bname = 1;
      $bemail = 1;
      $bcat = 0;
      $btitre = 1;
      $bcontenu = 1;
      $bnouveau = 2;
      $qformonly = 0;
      $qtitle = $admin125;
      $qintro = $admin227.$admin223;
      $qseeall = $admin126;
      $qwrite = $admin127;
      $qcat = "";
      $qtitre = $admin162;
      $qcontenu = $admin128;
      $qnouveau = $admin261;
      break;
  
  case "ph" :
     $qtype = TYP_PHOTO;
     $bname = 0;
     $bemail = 0;
     $bcat = 1;
     $btitre = 1;
     $bcontenu = 1;
     $bnouveau = 1;
     $qformonly = 0;
     $qtitle = $admin323;
     $qintro = $admin326.$admin223;
     $qseeall = $admin324;
     $qwrite = $admin325;
     $qcat = $admin327;
     $qtitre = $admin328;
     $qcontenu = $admin329;
     $qnouveau = $admin330;
     break;
  
  case "ba" :
      $qtype = TYP_BANNER;
      $bname = 0;
      $bemail = 0;
      $bcat = 1;
      $btitre = 1;
      $bcontenu = 0;
      $bnouveau = 0;
      $qformonly = 0;
      $qtitle = $admin264;
      $qintro = $admin265.$admin223;
      $qseeall = $admin266;
      $qwrite = $admin267;
      $qcat = $admin269;
      $qtitre = $admin268;
      $qcontenu = "";
      $qnouveau = "";
      break;
   
  case "li" :
      $qtype = TYP_LINKS;
      $bname = 0;
      $bemail = 0;
      $bcat = 1;
      $btitre = 1;
      $bcontenu = 1;
      $bnouveau = 1;
      $qformonly = 0;
      $qtitle = $admin106;
      $qintro = $admin107.$admin223;
      $qseeall = $admin108;
      $qwrite = $admin109;
      $qcat = $admin250;
      $qtitre = $admin110;
      $qcontenu = $admin112;
      $qnouveau = $admin111;
      break;
  
  case "ci" :
      $qtype = TYP_THINK;
      $bname = 0;
      $bemail = 0;
      $bcat = 0;
      $btitre = 1;
      $bcontenu = 1;
      $bnouveau = 0;
      $qformonly = 0;
      $qtitle = $admin40;
      $qintro = $admin224.$admin223;
      $qseeall = $admin41;
      $qwrite = $admin42;
      $qcat = "";
      $qtitre = $admin43;
      $qcontenu = $admin44;
      $qnouveau = "";
      break;
  
  case "fa" :
      $qtype = TYP_FAQ;
      $bname = 0;
      $bemail = 0;
      $bcat = 1;
      $btitre = 2;
      $bcontenu = 1;
      $bnouveau = 0;
      $qformonly = 0;
      $qtitle = $admin200;
      $qintro = $admin201.$admin223;
      $qseeall = $admin202;
      $qwrite = $admin203;
      $qcat = $admin233;
      $qtitre = $admin204;
      $qcontenu = $admin205;
      $qnouveau = "";
      break;

  case "dn" : 
      $qtype = TYP_DNLOAD;
      $bname = 0;
      $bemail = 0;
      $bcat = 1;
      $btitre = 1;
      $bcontenu = 1;
      $bnouveau = 1;
      $qformonly = 0;
      $qtitle = $admin135;
	  $qintro = $admin228.$admin223;
      $qseeall = $admin136;
      $qwrite = $admin137;
      $qcat = $admin251;
      $qtitre = $admin138;
      $qcontenu = $admin140;
      $qnouveau = $admin139;
      break;
	  
  case "ag" : 
	  $qtype = TYP_AGENDA;
	  $bname = 1;
	  $bemail = 0;
	  $bcat = 1;
	  $btitre = 0;
	  $bcontenu = 1;
	  $bnouveau = 0;
	  $qformonly = 0;
	  $qtitle = $admin625;
	  $qintro = $admin626.$redac35;
	  $qseeall = $admin627;
	  $qwrite = $admin628;
	  $qcat = $admin630;
	  $qtitre = "";
	  $qcontenu = $admin629;
	  $qnouveau = "";
	  break;

  	case "bl" :
		$qtype = TYP_BLOG;
		$bname = 1;
		$bemail = 1;
		$bcat = 1;
		$btitre = 1;
		$bcontenu = 1;
		$bnouveau = 2;
		$qformonly = 0;
		$qtitle = $admin771;
		$qintro = $admin772.$redac35;
		$qseeall = $admin782;
		$qwrite = $admin783;
		$qcat = $admin794;
		$qtitre = $admin784;
		$qcontenu = $admin785;
		$qnouveau = $admin261;
	  	break;

}

$langue0 = $lang[0];
$langue1 = $lang[1];

//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
//rcupration des images (gif,jpg,png,jpeg et bmp) dans les sous-rpertoires du rpertoire img/
$img = array();
$img = ListImgSubRep('img/','`\.(gif|jpg|png|jpeg|bmp)$`');  //voir functionredac.inc
//rcupration des images (gif,jpg,png,jpeg et bmp) dans les sous-rpertoires du rpertoire img/
$swf = array();
$swf = ListImgSubRep('img/','`\.swf$`');  //voir functionredac.inc
//rcupration des images (gif,jpg,png,jpeg et bmp) dans les sous-rpertoires du rpertoire photo/
$foto = array();
$foto = ListImgSubRep('photo/','`\.(gif|jpg|png|jpeg|bmp)$`'); //voir functionredac.inc
//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////

htable($qtitle, "100%"); 

echo '<div align="center"><a href="admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac">'.$redac19.'</a> || <a href="admin.php?lng='.$lng.'">'.$admin22.'</a> || <strong><a href="admin.php?lng='.$lng.'&#38;logout=1">'.$admin19.'</a></strong></div>';
echo '<hr />';
echo '<form name="adminsend" action="admin.php?lng='.$lng.'&#38;pseudo='.$pseudo.'" method="post" style="text-align:center;">';
echo '<input type="hidden" name="mod" value="1" />';
echo '<input type="hidden" name="pg" value="plugin" />';
echo '<input type="hidden" name="plug" value="adm_redacteurs/inc/redac_files" />';
echo '<input type="hidden" name="qtype" value="'.$qtype.'" />';
echo '<input type="hidden" name="id" value="'.$fileid.'" />';
//echo '<input type="hidden" name="tri" value="'.$tri.'" />';
//echo '<input type="hidden" name="idpg" value="'.$idpg.'" />';

/// FORK AjouteMenu : SAISIE MODIF 1
if ($mnu_include) {
	list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
	if ($mnu_code == "am") {
		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
		$fieldd1 = $mnu_id;
		$fielda1 = $mnu_categ1;
		$fielda2 = $mnu_categ2;
		$fieldb1 = $mnu_titre1;
		$fieldb2 = $mnu_titre2;
		echo '<input type="hidden" name="mnu_id" value="'.$mnu_id.'">';
		echo '<input type="hidden" name="mnu_item" value="'.$mnu_item.'">';
	}
}
/// Fin FORK AjouteMenu : SAISIE MODIF 1

 	if ($qtype == TYP_GUESTBK || $qtype == TYP_FORUM || $qtype == TYP_REACT) {
		echo '<input type="hidden" name="cat1" value="'.$fielda1.'">';
 	}
 	if ($qtype == TYP_FORUM || $qtype == TYP_REACT) {
		echo '<input type="hidden" name="cat2" value="'.$fielda2.'">';
 	}

    echo '<div style="text-align:center; margin:20px;">'.$boutonleft.'<input class="bouton" type="submit" value="'.$admin38.'" />'.$boutonright.'</div>';
    
	//Pseudo du rdacteur
 	if ($bname == 1) {
	    //echo '<tr><td style="text-align:center;">'.$admin114.'</td></tr>';
		echo '<input class="texte" type="hidden" name="pseudo1" size="40" value="'.$myname.'" />';
 	}
	//E-mail du rdacteur
 	if ($bemail == 1) {
		echo $admin115;
		echo '<p style="padding-top:5px; padding-bottom:10px;"><input class="texte" type="text" name="email1" size="40" value="'.$email.'" /></p>';
 	}
	//Affichage de l'email du rdacteur
 	if ($bnouveau == 2) {
		echo '<p style="vertical-align:middle; padding-bottom:10px;">'.$qnouveau.'<input type="checkbox" name="nouveau1" style="margin-left:10px; vertical-align:middle;"';
		if ($fieldd1 == "on") echo "checked";
		echo ' /></p>';
 	}

	//Catgorie du document crit
 	if ($bcat == 1) {
 		if ($qtype != TYP_FORUM ) {
 	    	//////////////////////MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE ARTICLE) ////////////////////////////
 	    	if (($qtype == TYP_ART && $redacprefs['rwritcat'] != "Off") || ($qtype != TYP_ART )) {
            	echo '<p>'.$qcat.'</p>';
			}		  
 	    	//////////////////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE ARTICLE) ////////////////////////////
			if ($qtype == TYP_BANNER) {
            	echo '<p style="padding-top:5px;"><select name="cat1">';
            	echo '<option value="">'.$admin90.'</option>';
				//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
				$img = array_merge($img,$swf);
				@asort($img);
				foreach ($img as $dirname => $valeur) {
        			if ($fielda1 == $dirname) {
         				$sel = " selected";
        			} else {
          				$sel = "";
        			}
        			echo "<option value=\"".$dirname."\" ".$sel." >".$valeur."</option>\n";
				}
				//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
				echo'</select></p>';
			//////////////////////MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE ARTICLE) ////////////////////////////
          	} else if ($qtype == TYP_ART && $redacprefs['rwritcat'] == "Off") {
              	echo '<p><input class="texte" type="hidden" name="cat1" size="40" value="'.htmlspecialchars($fielda1, ENT_COMPAT, $charset).'" /></p>';
              	if ($lang[1] != "") {
                  	echo '<p><input class="texte" type="hidden" name="cat2" size="40" value="'.htmlspecialchars($fielda2, ENT_COMPAT, $charset).'" /></p>';
              	}	
 	    	//////////////////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE ARTICLE) //////////////////////////// 
			} else {
			    echo '<p style="padding-top:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /><input class="texte" type="text" name="cat1" size="40" value="'.htmlspecialchars($fielda1, ENT_COMPAT, $charset).'" style="vertical-align:middle;" /></p>';
              	if ($lang[1] != "") {
                 	echo '<p style="padding-top:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /><input class="texte" type="text" name="cat2" size="40" value="'.htmlspecialchars($fielda2, ENT_COMPAT, $charset).'" style="vertical-align:middle;" /></p>';
              	}
		   	}
  		} elseif ($fielda2 == "0") {
			echo '<p style="padding-top: 15px;">'.$admin260.'</p>';
			echo '<p style="padding-top: 5px;"><select name="titre2">';
			echo '<option value="">'.$admin259.'</option>';
 			for ($i = 0; $i < count($dbfcat); $i++) {
    			if ($dbfcat[$i][0] == $fieldb2) {
      				$sel = " selected";
    			} else {
      				$sel = "";
    			}
    			echo '<option value="'.htmlspecialchars($dbfcat[$i][0], ENT_COMPAT, $charset).'"'.$sel.'>'.$dbfcat[$i][1].'</option>';
  			}
			echo '</select></p>';
  		}
 	}     
	//Titre du document crit
 	if ($btitre >= 1 && ($qtype != TYP_FORUM || ($qtype == TYP_FORUM && $fielda2 == "0"))) {
		echo '<p style="padding-top: 15px;">'.$qtitre.'</p>';
		echo '<p style="padding-top: 5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /><input class="texte" type="text" name="titre1" size="55" value="'.htmlspecialchars($fieldb1, ENT_COMPAT, $charset).'" style="vertical-align:middle;" /></p>';
 		if ($lang[1] != "") {
		echo '<p style="padding-top: 5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /><input class="texte" type="text" name="titre2" size="55" value="'.htmlspecialchars($fieldb2, ENT_COMPAT, $charset).'" style="vertical-align:middle;" /></p>';
   		}
  	}
  	if ($bnouveau == 1) {
  		if ($qtype == TYP_PHOTO) {
			echo '<p style="padding-top:15px;">'.$qnouveau.'</p>';
			echo '<p style="padding-top: 5px;"><select name="nouveau1">';
			echo '<option value="">'.$admin90.'</option>';
			//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
			foreach ($foto as $dirname => $valeur) {
        		if ($fieldd1 == $dirname) {
          			$sel = " selected";
        		} else {
          			$sel = "";
        		}
        		echo "<option value=\"".$dirname."\" ".$sel." >".$valeur."</option>\n";
			}
			//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
			echo '</select></p>';
  		} elseif ($qtype == TYP_ART) {
			//////////////////////MODIF ADM_REDACTEURS (OPTION CHOIX BOITE ARTICLE) ////////////////////////////
	        echo '<p style="padding-top:15px;">'.$admin456.'</p>';
            echo '<p style="padding-top: 5px;"><select name="nouveau1" >';
        	switch($redacprefs['rbart']) {
				case 'bart1' :
				case 'bart2' :
					if ($fieldd1 == "left" || $fieldd1 == "") {
						echo '<option value="'.$fieldd1.'" selected>'.$admin348.'</option>';
					}
					if ($fieldd1 == "right") {
						echo '<option value="'.$fieldd1.'" selected>'.$admin349.'</option>';
					}
					break;
				/// FORK AjouteMenu : SAISIE MODIF 2	
				case 'bajmnu' :
					if ($mnu_include) {
						$redac_mnu_i = explode(';', $redacprefs['num_ajoutemenu']);
						for ($i=0; $i < count($redac_mnu_i); $i++) {
							$mnu_i = $redac_mnu_i[$i];
							$mnu_titre = AM_GetTitre($mnu_i);
							if (!empty($mnu_titre)) {
								$mnu_txt = sprintf($mnu_adm3, $mnu_i).": ".$mnu_titre;
								echo '<option value="'.$mnu_i.'"'.("$mnu_i" === "$mnu_id" ? ' selected="selected"' : '').'>'.$mnu_txt.'</option>';
							}
						}
					}
					break;
					/// Fin FORK AjouteMenu : SAISIE MODIF 2
				default :
               		echo '<option value="left"'.(($fieldd1 == "left" || $fieldd1 == "")? ' selected="selected"' : '').'>'.$admin348.'</option>';
                	echo '<option value="right"'.(($fieldd1 == "right")? ' selected="selected"' : '').'>'.$admin349.'</option>';
				  	/// FORK AjouteMenu : SAISIE MODIF 2
				  	if ($mnu_include) {
//modif admredacteurs
//        				for ($mnu_i=0; $mnu_i < 20; $mnu_i++) {
						$redac_mnu_i = explode(';', $redacprefs['num_ajoutemenu']);
        				for ($i=0; $i < count($redac_mnu_i); $i++) {
							$mnu_i = $redac_mnu_i[$i];
//fin modif admredacteurs
					  		$mnu_titre = AM_GetTitre($mnu_i);
					  		if (!empty($mnu_titre)) {
								$mnu_txt = sprintf($mnu_adm3, $mnu_i).": ".$mnu_titre;
								echo '<option value="'.$mnu_i.'"'.("$mnu_i" === "$mnu_id" ? ' selected="selected"' : '').'>'.$mnu_txt.'</option>';
					  		}
						}
				  	}
				  	/// Fin FORK AjouteMenu : SAISIE MODIF 2
           	}
		   	echo '</select></p>';
			//////////////////////FIN MODIF ADM_REDACTEURS (OPTION CHOIX BOITE ARTICLE) ////////////////////////////
		} else {
			echo '<p style="padding-top:15px;">'.$qnouveau.'</p>';
			echo '<p style="padding-top:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /> <input class="texte" type="text" name="nouveau1" size="55" value="'.$fieldd1.'" style="vertical-align:middle;" /></p>';
 			if ($lang[1] != "") {
				echo '<p style="padding-top:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /> <input class="texte" type="text" name="nouveau2" size="55" value="'.$fieldd2.'" style="vertical-align:middle;" /></p>';
      		}
    	}
  	}

    echo '<div style="text-align:center; margin:20px;">'.$boutonleft.'<input class="bouton" type="submit" value="'.$admin38.'" />'.$boutonright.'</div>';

    /// dbut modif accs priv
    if (in_array($qtype, array(TYP_ART, TYP_AGENDA, TYP_BLOG, TYP_DNLOAD, TYP_FAQ, TYP_LINKS, TYP_NEWS, TYP_PHOTO))) {
        echo display_select_private_group($fieldmod);
    }
    /// fin modif accs priv   
       
 	if ($qtype == TYP_FORUM) {
		echo '<input class="texte" type="hidden" name="contenu2" size="55" value="'.$fieldc2.'">';
		echo '<input class="texte" type="hidden" name="nouveau2" size="55" value="'.$fieldd2.'">';
		echo '<input class="texte" type="hidden" name="siteweb" size="55" value="'.$fieldweb.'">';
 	}
 	if ($qtype == TYP_ART || $qtype == TYP_BLOG || $qtype == TYP_NEWS) {
 		if ($qtype == TYP_ART|| $qtype == TYP_BLOG) {
			echo '<p style="padding-top:15px;">'.$admin461.'</p>';
		} else {
			echo '<p style="padding-top:15px;">'.$admin462.'</p>';
 		}
		echo '<p style="padding-top:5px;"><select name="nouveau2">';
		echo '<option value="">'.$admin307.'</option>';
		//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
		foreach ($img as $dirname => $valeur) {
        	if ($fieldd2 == $dirname) {
          		$sel = " selected";
        	} else {
          		$sel = "";
       		}
        	echo "<option value=\"".$dirname."\" ".$sel." >".$valeur."</option>\n";
		}
		//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
		echo '</select></p>';
  	}

    echo '<div style="text-align:center; margin:20px;">'.$boutonleft.'<input class="bouton" type="submit" value="'.$admin38.'" />'.$boutonright.'</div>';
    
	//Miniditeur
  	if ($bcontenu == 1) {
		echo '<div style="text-align:center;margin-top:15px;">'.$qcontenu.'</div>';
		echo '<div style="text-align:center;margin:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" alt="'.$lang[0].'" title="'.$lang[0].'" /></div>';
        display_admin_editor('contenu1', $serviz[63], '480px', $fieldc1, $serviz[49]);    
		if ($lang[1] != "") {
			echo '<div style="text-align:center; margin-top:20px; margin-bottom:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" alt="'.$lang[1].'" title="'.$lang[1].'" /></div>';
            display_admin_editor('contenu2', $serviz[63], '480px', $fieldc2, $serviz[49]);    
    	}
  	}
	echo '<div style="text-align:center; margin:20px;">'.$boutonleft.'<input class="bouton" type="submit" value="'.$admin38.'" />'.$boutonright.'</div>';
	echo '</form>';

if ($qtype == TYP_NWL) {
?>
	<p align="center"><a href="<?php echo CHEMIN; ?>admin/admin.php?lng=<?php echo $lng; ?>&amp;pg=newsletter"><?php echo $admin535; ?></a> || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <b><a href="admin.php?lng=<?php echo $lng; ?>&amp;logout=1"><?php echo $admin19; ?></a></b></p>
<?php
} else {
	echo '<hr />';
	echo '<p style="text-align:center;"><a href="admin.php?lng='.$lng.'">'.$admin22.'</a> || <a href="admin.php?lng='.$lng.'&amp;logout=1"><strong>'.$admin19.'</strong></a></p>';
}
btable();
$lang[0] = $langue0;
$lang[1] = $langue1;
include(CHEMIN."inc/bpage.inc");