<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.10 (2013/03/20)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "var_control.inc")) {
  header("location:../index.php");
  die();
}

$rpass = VariableControl('rpass','post');	//mot de passe
$rpass = str_replace(' ','',trim($rpass)); //on enlve les espaces blancs
$rppass= VariableControl('rppass','post');	//mot de passe (confirmation)
$rppass = str_replace(' ','',trim($rppass)); //on enlve les espaces blancs

$newrpass = VariableControl('newrpass','post');	//nouveau mot de passe
$newrpass = str_replace(' ','',trim($newrpass)); //on enlve les espaces blancs
$newrppass= VariableControl('newrppass','post');	//nouveau mot de passe (confirmation)
$newrppass = str_replace(' ','',trim($newrppass)); //on enlve les espaces blancs


//Sections
$rnews = VariableControl('rnews','post');	
$rart = VariableControl('rart','post');	
$rphoto = VariableControl('rphoto','post');	
$rlinks = VariableControl('rlinks','post');	
$rthink = VariableControl('rthink','post');	
$rfaq = VariableControl('rfaq','post');	
$rfile = VariableControl('rfile','post');	
$rbanner = VariableControl('rbanner','post');	
$rdnload = VariableControl('rdnload','post');  
$ragenda = VariableControl('ragenda','post');	
$redito = VariableControl('redito','post');
$rblog = VariableControl('rblog','post');	

//Droits news
$rwritnews = VariableControl('rwritnews','post');	
$rmodnews = VariableControl('rmodnews','post');	
$ractnews = VariableControl('ractnews','post');	
	
//Droits articles
$rwritart = VariableControl('rwritart','post');	
$rmodart = VariableControl('rmodart','post');	
$ractart = VariableControl('ractart','post');		
$rwritcatart = VariableControl('rwritcatart','post');	
$rnamecatart = VariableControl('rnamecatart','post',false);
$rnamecatart = str_replace('"',"'",trim($rnamecatart));
$rnamecatart = addslashes(stripslashes($rnamecatart));  //Ajout de slash

//Droits photos
$rwritphoto = VariableControl('rwritphoto','post');	
$rmodphoto = VariableControl('rmodphoto','post');	
$ractphoto = VariableControl('ractphoto','post');		
$rwritcatphoto = VariableControl('rwritcatphoto','post');	
$rnamecatphoto = VariableControl('rnamecatphoto','post',false);
$rnamecatphoto = str_replace('"',"'",trim($rnamecatphoto));
$rnamecatphoto = addslashes(stripslashes($rnamecatphoto));  //Ajout de slash

//Droits links      
$rwritlinks = VariableControl('rwritlinks','post');	
$rmodlinks = VariableControl('rmodlinks','post');	
$ractlinks = VariableControl('ractlinks','post');	
$rwritcatlinks = VariableControl('rwritcatlinks','post');	
$rnamecatlinks = VariableControl('rnamecatlinks','post',false);
$rnamecatlinks = str_replace('"',"'",trim($rnamecatlinks));
$rnamecatlinks = addslashes(stripslashes($rnamecatlinks));  //Ajout de slash

//Droits citations
$rwritthink = VariableControl('rwritthink','post');	
$rmodthink = VariableControl('rmodthink','post');	
$ractthink = VariableControl('ractthink','post');	

//Droits faq
$rwritfaq = VariableControl('rwritfaq','post');	
$rmodfaq = VariableControl('rmodfaq','post');	
$ractfaq = VariableControl('ractfaq','post');		
$rwritcatfaq = VariableControl('rwritcatfaq','post');	
$rnamecatfaq = VariableControl('rnamecatfaq','post',false);
$rnamecatfaq = str_replace('"',"'",trim($rnamecatfaq));
$rnamecatfaq = addslashes(stripslashes($rnamecatfaq));  //Ajout de slash

//Droits upload
$rwritfile = VariableControl('rwritfile','post');	
$rmodfile = VariableControl('rmodfile','post');	
$rwritcatfile = VariableControl('rwritcatfile','post');	
$rnamecatfile = VariableControl('rnamecatfile','post',false);
$rnamecatfile = preg_replace('`[^-a-z0-9_]`i','',trim($rnamecatfile)); //Suppression de tous les caractres interdits

//Droits banner
$rwritbanner = VariableControl('rwritbanner','post');	
$rmodbanner = VariableControl('rmodbanner','post');	
$ractbanner = VariableControl('ractbanner','post');	
	
//Droits download
$rwritdnload = VariableControl('rwritdnload','post');
$rmoddnload = VariableControl('rmoddnload','post');	
$ractdnload = VariableControl('ractdnload','post');	
$rwritcatdnload = VariableControl('rwritcatdnload','post');	
$rnamecatdnload = VariableControl('rnamecatdnload','post',false);
$rnamecatdnload = str_replace('"',"'",trim($rnamecatdnload));
$rnamecatdnload = addslashes(stripslashes($rnamecatdnload));  //Ajout de slash

//Droits agenda
$rwritagenda = VariableControl('rwritagenda','post');
$rmodagenda = VariableControl('rmodagenda','post');
$ractagenda = VariableControl('ractagenda','post');

//Droits blog
$rwritblog = VariableControl('rwritblog','post');	
$rmodblog = VariableControl('rmodblog','post');	
$ractblog = VariableControl('ractblog','post');		
$rwritcatblog = VariableControl('rwritcatblog','post');	
$rnamecatblog = VariableControl('rnamecatblog','post',false);
$rnamecatblog = str_replace('"',"'",trim($rnamecatblog));
$rnamecatblog = addslashes(stripslashes($rnamecatblog));  //Ajout de slash
	
//Options
$reditor = VariableControl('reditor','post');  //choix diteur  
$rbart = VariableControl('rbart','post');  //boite article
$rwritpass = VariableControl('rwritpass','post');  //criture du mot de passe
$rsendmailadmin = VariableControl('rsendmailadmin','post');  //envoie d'un email  l'admin
$raccessprivategroup = VariableControl('raccessprivategroup','post');  // Attribuer l'accs  un groupe priv

//plugins 
for ($i = 0;$i < $nbplugins; $i++) {
	$rplugin[$i] = VariableControl($redac_plugins[$i],'post');
}
//numro des menus slectionns	du plugin ajoutemenu de jeanmi
$num_ajoutemenu = VariableControl('num_ajoutemenu','post'); 
$num_ajoutemenu = CorrNumMenuPlugin($num_ajoutemenu); //correction des saisies des numros des menus
//numro des menus slectionns	du plugin ajoutefreebox de jeanmi
$num_ajoutefreebox = VariableControl('num_ajoutefreebox','post');   
$num_ajoutefreebox = CorrNumMenuPlugin($num_ajoutefreebox); //correction des saisies des numros des menus